Get OpenSearch Dashboards for Combo Boxes and Item Selectors
get
/api/report/OpenSearch/readForSelect
Gets a list of OpenSearch dashboards in a format suitable for combo boxes and item selectors, to use when generating reports. This endpoint does not support filtering parameters.
Request
Query Parameters
-
limit: integer(int32)
The number of records to limit results by. If you do not also set the start parameter, records start at 0.Example:
100 -
sort: object
The field and direction to sort results by. You cannot sort by fields that contain a state.
This parameters value uses the following JSON format: { "property": "property", "direction": "direction" }-
direction(required):
string
Allowed Values:
[ "ASC", "DESC" ]The direction of the sort.Example:ASC -
property(required):
string
The field to sort on.Example:
name
Example:[ { "property":"Name", "direction":"ASC" }, { "property":"Value", "direction":"DESC" } ] -
direction(required):
string
-
start: integer(int32)
The page of results to start from. This parameter is ignored if you do not also set the limit parameter.Default Value:
0Example:1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Match All
Show Source
-
object
SuccessfulGetOperation
The response body for a successful get operation.
-
object
type
Nested Schema : SuccessfulGetOperation
Type:
objectThe response body for a successful get operation.
Show Source
-
message: string
The response message.Example:
Loaded 1 entries -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
true
Nested Schema : type
Type:
Show Source
object-
data: array
data
-
total: integer
The total number of results regardless of paging.Example:
1
Nested Schema : reportOpenSearchReadForSelect
Type:
Show Source
object-
DashboardID: string
The UUID of the OpenSearch dashboard.Example:
5f59d990-3d3f-11eb-bc2c-c5758316d788 -
DashboardName: string
The name of the OpenSearch dashboard.Example:
[Metrics] Network Performance Dashboard
Default Response
Failed operation
Root Schema : schema
Type:
Show Source
object-
errors: array
errors
The list of errors reported. Validation errors will be keyed by record field.
-
message: string
The response message.Example:
Exception thrown -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
false
Nested Schema : errors
Type:
arrayThe list of errors reported. Validation errors will be keyed by record field.
Show Source
-
Array of:
object items
An error.
Nested Schema : items
Type:
objectAn error.